<?php
class IndexController extends Zend_Controller_Action {

    public function init()  {
        session_start();
    }
	
	private function checkAuthentication() {
		if(!isset($_SESSION['s_auth'])) {
			$this->_redirect('/index');
		}
	}
	
    public function indexAction() {
        $this->_helper->layout->setLayout('layout-login');
		$authDB = new Application_Model_AuthHelper();
		if($this->getRequest()->isPost()) {
			$userName = trim($this->getRequest()->getPost('txtUser'));
			$userPass = trim($this->getRequest()->getPass('pwdUser'));
			$user = $authDB->authenticate($userName, $userPass);
			$_SESSION['s_auth'] = $user;
			$this->_redirect('/index/dashboard');
		}
    }
	
	public function logoutAction() {
		$this->checkAuthentication();
		$authDB = new Application_Model_AuthHelper();
		$authDB->logOff($_SESSION['s_auth']['profile']['user_id']);
		unset($_SESSION['s_auth']);
		$this->_redirect('/index');
	}
	
	public function dashboardAction() {
		
	}
	
	public function changepasswordAction() {
		$this->checkAuthentication();
		$data = array();
		if($this->getRequest()->isPost()) {
			$data['id'] = $_SESSION['s_auth']['profile']['user_id'];
			$data['oldPass'] = trim($this->getRequest()->getPost('pwdOld'));
			$data['newPass'] = trim($this->getRequest()->getPost('pwdNew'));
			$data['confPass'] = trim($this->getRequest()->getPost('pwdConf'));
			$authDB = new Application_Model_AuthHelper();
			$result = $authDB->changePassword($data);
			$this->view->result = $result;
		}
	}
}

