<?php
class UserController extends Zend_Controller_Action {
    public function init() {
        session_start();
    }
	
	private function checkAuthentication() {
		/*if(!isset($_SESSION['s_auth'])) {
			$this->_redirect('/index');
		}*/
	}
	
    public function indexAction() {
        $this->checkAuthentication();
    }

	/*** USER ROLES ***/
	public function userrolesAction() {
		$this->checkAuthentication();
		$this->view->pageTitle = "User Roles";
		$userDB = new Application_Model_UserHelper();
		$this->view->roles = $userDB->getUserRoles();
	}
	
	public function changeuserrolestatusAction() {
		$this->checkAuthentication();
		$this->_helper->layout()->disableLayout();
	    $this->_helper->viewRenderer->setNoRender(true);
		
		$userDB = new Application_Model_UserHelper();
		$roleID = $this->getRequest()->getQuery('roleID');
		$result = $userDB->changeTimeSlotStatus($roleID);
		echo json_encode($result);
	}
	
	public function saveuserroleAction() {
		$this->checkAuthentication();
		$this->_helper->layout()->disableLayout();
	    $this->_helper->viewRenderer->setNoRender(true);
		
		$userDB = new Application_Model_UserHelper();
		$roleID = $this->getRequest()->getQuery('roleID');		
		$roleTitle = $this->getRequest()->getQuery('roleTitle');		
		$data = array('id'=>$roleID, 'title'=>addslashes($roleTitle);
		echo json_encode($userDB->saveUserRole($data));
	}
	/*** USER ROLES ***/
}

