<?php
class Application_Model_AuthHelper {
	var $db;
    public function __construct() {
        $this->db = Zend_Registry::get('DATABASE_SCHEMA');
    }
	
	/*** MISC ***/
	private function hashed($str) {
		return md5(strrev(strtoupper(trim($str))));
	}
	/*** MISC ***/
	
	/*** USER PERMISSIONS ***/
	public function getUserPermissions($userID) {
		$sql = "SELECT * FROM `user_permissions` WHERE `p_user_id`=".$userID;
		return $this->db->query($sql)->fetch();
	}
	/*** USER PERMISSIONS ***/
	
	/*** LOGIN ***/
	public function authenticate($user, $pass) {
		/* Username & Password are case-sensitive */
		$sql = "SELECT * FROM `users` WHERE BINARY(`user_name`)='".$user."' AND `user_pass`='".$this->hashed($pass)."'";
		$rsUser = $this->db->query($sql)->fetch();
		if(!$rsUser) {
			return array('code'=>0, 'msg'=>'Invalid Username and/or Password.');
		} else {
			if($rsUser['user_status']==0) {
				return array('code'=>-1, 'msg'=>'User Account is inactive. Please contact Administrator.');
			} else {
				$permissions = $this->getUserPermissions($rsUser['user_id']);
				return array('code'=>1, 'profile'=>$rsUser, 'permissions'=>$permissions);
			}
		}
	}
	/*** LOGIN ***/
	
	/*** LOGOUT ***/
	public function logOff($userID) {
		$currDateTime = date('Y-m-d H:i:s');
		$sql = "UPDATE `users` SET `user_last_logout`='".$currDateTime."' WHERE `user_id`=".$userID;
		$this->db->query($sql);
	}
	/*** LOGOUT ***/
	
	/*** CHANGE PASSWORD ***/
	public function changePassword($data) {
		$sql = "SELECT * FROM `users` WHERE `user_id`=".$data['id']." AND `user_pass`='".$this->hashed($data['oldPass'])."'";
		$rsUser = $this->db->query($sql)->fetch();
		if(!$rsUser) {
			return array('code'=>0, 'msg'=>'Incorrect Old Password. Please try again.');
		} else {
			if($this->hashed($data['newPass'])!=$this->hashed($data['confPass'])) {
				return array('code'=>-1, 'msg'=>'Both the new Passwords are not same. Please try again.');
			} else {
				$sql = "UPDATE `users` SET `user_pass`='".$this->hashed($data['newPass'])."' WHERE `user_id`=".$data['id'];
				$this->db->query($sql);
				$_SESSION['s_auth']['profile']['user_pass'] = $this->hashed($data['newPass']);
				return array('code'=>1, 'msg'=>'Password changed successfully.');
			}
		}
	}
	/*** CHANGE PASSWORD ***/
}

