<?php
class LeadsController extends Zend_Controller_Action {
    public function init() {
        session_start();
    }
	
	private function checkAuthentication() {
		/*if(!isset($_SESSION['s_auth'])) {
			$this->_redirect('/index');
		}*/
	}
	
    public function indexAction() {
        // action body
    }
	
	/*** LEAD SOURCES ***/
	public function leadsourcesAction() {
		$this->checkAuthentication();
		$leadDB = new Application_Model_LeadHelper();
		$this->view->sources = $leadDB->getLeadSources();
	}
	
	public function changeleadsourcestatusAction() {
		$this->checkAuthentication();
		$this->_helper->layout()->disableLayout();
	    $this->_helper->viewRenderer->setNoRender(true);
		
		$leadDB = new Application_Model_LeadHelper();
		$sourceID = $this->getRequest()->getQuery('sourceID');
		$result = $leadDB->changeLeadSourceStatus($sourceID);
		echo json_encode($result);
	}
	
	public function saveleadsourceAction() {
		$this->checkAuthentication();
		$this->_helper->layout()->disableLayout();
	    $this->_helper->viewRenderer->setNoRender(true);
		
		$leadDB = new Application_Model_LeadHelper();
		$sourceID = $this->getRequest()->getQuery('sourceID');
		$sourceTitle = $this->getRequest()->getQuery('sourceTitle');
		$data = array('id'=>$sourceID, 'title'=>addslashes($sourceTitle));
		echo json_encode($leadDB->saveLeadSource($data));
	}
	/*** LEAD SOURCES ***/
	
	/*** LEAD STATUS ***/
	public function leadstatusesAction() {
		$this->checkAuthentication();
		$leadDB = new Application_Model_LeadHelper();
		$this->view->statuses = $leadDB->getLeadStatuses();
	}
	
	public function saveleadstatusAction() {
		$this->checkAuthentication();
		$this->_helper->layout()->disableLayout();
	    $this->_helper->viewRenderer->setNoRender(true);
		
		$leadDB = new Application_Model_LeadHelper();
		$statusID = $this->getRequest()->getQuery('statusID');
		$statusTitle = $this->getRequest()->getQuery('statusTitle');
		$statusColor = $this->getRequest()->getQuery('statusColor');
		$data = array('id'=>$statusID, 'title'=>addslashes($statusTitle),'color'=>$statusColor);
		echo json_encode($leadDB->saveLeadStatus($data));
	}
	/*** LEAD STATUS ***/
	
	/*** LEAD DISPOSITION ***/
	public function leaddispositionAction() {
		$this->checkAuthentication();
		$leadDB = new Application_Model_LeadHelper();
		$this->view->dispositions = $leadDB->getLeadDispositions();
	}
	
	public function changeleaddispositionstatusAction() {
		$this->checkAuthentication();
		$this->_helper->layout()->disableLayout();
	    $this->_helper->viewRenderer->setNoRender(true);
		
		$leadDB = new Application_Model_LeadHelper();
		$disID = $this->getRequest()->getQuery('disID');
		$result = $leadDB->changeLeadDispositionStatus($disID);
		echo json_encode($result);
	}
	
	public function saveleaddispositionAction() {
		$this->checkAuthentication();
		$this->_helper->layout()->disableLayout();
	    $this->_helper->viewRenderer->setNoRender(true);
		
		$leadDB = new Application_Model_LeadHelper();
		$disID = $this->getRequest()->getQuery('disID');
		$disTitle = $this->getRequest()->getQuery('disTitle');		
		$data = array('id'=>$disID, 'title'=>addslashes($disTitle));
		echo json_encode($leadDB->saveLeadDisposition($data));
	}
	/*** LEAD DISPOSITION ***/
	
	/*** APPOINTMENT ***/
	
	/*** APPOINTMENT ***/
}

