<?php
class SettingsController extends Zend_Controller_Action {
    public function init() {
        session_start();
    }
	
	private function checkAuthentication() {
		/*if(!isset($_SESSION['s_auth'])) {
			$this->_redirect('/index');
		}*/
	}
	
    
	/*** SETTINGS ***/
	public function indexAction() {
		$this->checkAuthentication();
		$setDB = new Application_Model_SettingsHelper();
		$this->view->sources = $setDB->getSettings();
	}
	
	public function changesettingsstatusAction() {
		$this->checkAuthentication();
		$this->_helper->layout()->disableLayout();
	    $this->_helper->viewRenderer->setNoRender(true);
		
		$setDB = new Application_Model_SettingsHelper();
		$setID = $this->getRequest()->getQuery('setID');
		$result = $setDB->changeSettingsStatus($setID);
		echo json_encode($result);
	}
	
	public function savesettingsAction() {
		$this->checkAuthentication();
		$this->_helper->layout()->disableLayout();
	    $this->_helper->viewRenderer->setNoRender(true);
		
		$setDB = new Application_Model_SettingsHelper();
		$setID = $this->getRequest()->getQuery('setID');
		$setCaption = $this->getRequest()->getQuery('setCaption');
		$setKey = $this->getRequest()->getQuery('setKey');
		$setValue = $this->getRequest()->getQuery('setVal');
		$data = array('id'=>$setID, 'caption'=>addslashes($setCaption), 'key'=>addslashes($setKey), 'val'=>addslashes($setValue));
		echo json_encode($setDB->saveLeadSource($data));
	}
	/*** SETTINGS ***/
	
	/*** TIME SLOTS ***/
	public function timeslotsAction() {
		$this->checkAuthentication();
		$this->view->pageTitle = "Time Slots";
		$setDB = new Application_Model_SettingsHelper();
		$this->view->slots = $setDB->getTimeSlots();
	}
	
	public function changetimeslotstatusAction() {
		$this->checkAuthentication();
		$this->_helper->layout()->disableLayout();
	    $this->_helper->viewRenderer->setNoRender(true);
		
		$setDB = new Application_Model_SettingsHelper();
		$slotID = $this->getRequest()->getQuery('slotID');
		$result = $setDB->changeTimeSlotStatus($slotID);
		echo json_encode($result);
	}
	
	public function savetimeslotAction() {
		$this->checkAuthentication();
		$this->_helper->layout()->disableLayout();
	    $this->_helper->viewRenderer->setNoRender(true);
		
		$setDB = new Application_Model_SettingsHelper();
		$slotID = $this->getRequest()->getQuery('slotID');
		$slotStart = $this->getRequest()->getQuery('slotStart');
		$slotEnd = $this->getRequest()->getQuery('slotEnd');		
		$data = array('id'=>$slotID, 'start'=>addslashes($slotStart), 'end'=>addslashes($slotEnd));
		echo json_encode($setDB->saveLeadSource($data));
	}
	/*** TIME SLOTS ***/
	
	
}

